Subject: RE: bash settings for path name in the title
From: [email-masked] (Craig Vosburgh)

11 Nov 1998 18:39:05 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "'Peter Kabal'" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>

bash will use the PATH variable to determine the search order.  It
sounds like you need to put . in your PATH variable first or execute the
test command as ./test.  If you have any question which executable is
being executed you can always use the type command to see what bash hash
hashed for that name (e.g. type test should return the path to the test
executable being executed)

-Craig

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Peter Kabal
> Sent: Monday, November 09, 1998 4:41 PM
> To: [email-masked]
> Subject: bash settings for path name in the title
> 
> 
> I thought I would share some customizations of the bash shell window
> (cywin-b20 under Windows NT)
> 
> 1. To get the current path in the title of the window,
>      PROMPT_COMMAND='cmd /c title `dirs`'
> 2. As seen in this mailing list, set the terminal with
>      export TERM=linux
> 3. To get a prompt which stands out (reverse) among the lines 
> of output
>    This assumes the terminal has been set to linux.  In the example
>    the prompt is ">>>" in reverse, followed by a blank (not-reversed).
>      PS1="\e[7mPK:\e[27m "
> 4. Customize the color of the bash window to be different 
> than a standard
>    command window.
>    Use the shortcut to "Cygwin B20".  On the bash window, 
> right-click the
>    title bar, choose "Properties" to customize the color.  
> Also set the
>    layout to have a screen buffer size height of (say) 400, so you can
>    scroll back and look at output off the top of the window.
>    *** As you click OK, specify "Modify shortcut which started this
>        window". ***
> 
> Now all I need to figure out is how to get the man command 
> not to print
> <AD> (in reverse) at the ends of lines where it hyphenates.
> 
> Peter Kabal     [email-masked]    (514) 398-7130
> Electrical & Computer Engineering      (514) 398-4470 (FAX)
> McGill University
> 3480 University Street   Montreal, Quebec  Canada H3A 2A7
> -
> For help on using this list (especially unsubscribing), send 
> a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".